Loading...
Searching...
No Matches
gpiod::info_event Class Referencefinal

Immutable object containing data about a single line info event. More...

`#include <info-event.hpp>`

## Public Types

enum class | event_type { LINE_REQUESTED = 1 , LINE_RELEASED , LINE_CONFIG_CHANGED }
| Types of info events. More...

## Public Member Functions

| info_event (const info_event &other)
| Copy constructor.
| info_event (info_event &&other) noexcept
| Move constructor.
| ~info_event ()
info_event & | operator= (const info_event &other)
| Copy assignment operator.
info_event & | operator= (info_event &&other) noexcept
| Move assignment operator.
event_type | type () const
| Type of this event.
::std::uint64_t | timestamp_ns () const noexcept
| Timestamp of the event as returned by the kernel.
const line_info & | get_line_info () const noexcept
| Get the new line information.

## Detailed Description

Immutable object containing data about a single line info event.

## Member Enumeration Documentation

## event_type

enum class gpiod::info_event::event_type

strong

Types of info events.

Enumerator
LINE_REQUESTED | Line has been requested.
LINE_RELEASED | Previously requested line has been released.
LINE_CONFIG_CHANGED | Line configuration has changed.

## Constructor & Destructor Documentation

## info_event() [1/2]

gpiod::info_event::info_event | ( | const info_event & | other | ) |

Copy constructor.

Parameters

  other | Object to copy.

## info_event() [2/2]

gpiod::info_event::info_event | ( | info_event && | other | ) |

noexcept

Move constructor.

Parameters

  other | Object to move.

## ~info_event()

gpiod::info_event::~info_event | ( |  | ) |

## Member Function Documentation

## get_line_info()

const line_info & gpiod::info_event::get_line_info | ( |  | ) | const

noexcept

Get the new line information.

Returns
  Constant reference to the line info object containing the line data as read at the time of the info event.

## operator=() [1/2]

info_event & gpiod::info_event::operator= | ( | const info_event & | other | ) |

Copy assignment operator.

Parameters

  other | Object to copy.

Returns
  Reference to self.

## operator=() [2/2]

info_event & gpiod::info_event::operator= | ( | info_event && | other | ) |

noexcept

Move assignment operator.

Parameters

  other | Object to move.

Returns
  Reference to self.

## timestamp_ns()

::std::uint64_t gpiod::info_event::timestamp_ns | ( |  | ) | const

noexcept

Timestamp of the event as returned by the kernel.

Returns
  Timestamp as a 64-bit unsigned integer.

## type()

event_type gpiod::info_event::type | ( |  | ) | const

Type of this event.

Returns
  Event type.

The documentation for this class was generated from the following file:

- info-event.hpp